Bug 101226 - Please enable samba ldap support
Please enable samba ldap support
Product: Red Hat Linux Beta
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-07-30 06:16 EDT by Alain RICHARD
Modified: 2014-08-31 19:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-31 12:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alain RICHARD 2003-07-30 06:16:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; fr-fr) AppleWebKit/85 (KHTML, like Gecko) Safari/85

Description of problem:
Samba is supporting ldap sam database since more than one year now. Altough this functionnality is marked as experimental,  it is in use on a lot of sites now.

To enable this, all that is needed is to add --with-ldapsam to the configure line in the spec file.

This add a dependency on ldap libraries to samba, but this should be not a problem as a lot of other packages are already depending on it so ldap packages are already installed per default on all systems since RH 7.0.

Also this will not break existing samba configuration in any cases (to really enable ldap sam, you have to enable it in smb.conf).

Note also that samba 3, currently in beta 3, will depend on ldap in either cases.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jay Fenlason 2003-07-31 12:36:46 EDT
In Samba 2.2.8a, turning on LDAP removes the ability to use /etc/samba/smbpasswd, etc, so 
we cannot turn on LDAP in Samba without breaking every existing installation.  Fortunatly, 
Samba 3.0 does not have this restriction.  Please try the samba-3.0.0beta3 RPM from 
RawHide, which was compiled with LDAP support. 

Note You need to log in before you can comment on or make changes to this bug.